<?php include("../secure.php"); ?>
<!DOCTYPE html>
<html lang="en" data-layout="vertical" data-topbar="light" data-sidebar="dark" data-sidebar-size="lg" data-sidebar-image="none">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <meta name="description" content="Smarthr - Bootstrap Admin Template">
		<meta name="keywords" content="admin, estimates, bootstrap, business, corporate, creative, management, minimal, modern, accounts, invoice, html5, responsive, CRM, Projects">
        <meta name="author" content="Dreamguys - Bootstrap Admin Template">
        <meta name="robots" content="noindex, nofollow">
        <title>Attendance  - HR Marsa System </title>
                <style>
@font-face {
    font-family: 'DroidSansArabic';
    src: url('../../font/DroidSansArabic.ttf');
}
body * {
    font-family: "DroidSansArabic", sans-serif ;
}
    </style>
		<?php 
	$lang=$_GET['lang'];  
    $link_lang='lang='.$lang;
    $company_id=$_GET['company_id']; 
    $main_system_id='2222';
	?> 
	
	 <?php include("../languege_filee_hr.php");?>
	 
	 <?php include("../hr_permission.php");?>
	
		<!-- Favicon -->
        <link rel="shortcut icon" type="image/x-icon" href="../../assets/img/favicon.png">
        
        <link rel="stylesheet" href="../../assets/plugins/alertify/alertify.min.css">
        
		<?php
	if($lang=='ar'){
	?>


         <link rel="stylesheet" href="../../assets/css/bootstrap.rtl.min.css">
   
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="../../assets/plugins/fontawesome/css/fontawesome.min.css">
    	<link rel="stylesheet" href="../../assets/plugins/fontawesome/css/all.min.css">

		<!-- Lineawesome CSS -->
        <link rel="stylesheet" href="../../assets/css/line-awesome.min.css">
		<link rel="stylesheet" href="../../assets/css/material.css">
		
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="../../assets/css/font-awesome.min.css">
		
		<!-- Datatable CSS -->
		<link rel="stylesheet" href="../../assets/css/dataTables.bootstrap4.min.css">
		
		 <!-- Select2 CSS -->
         <link rel="stylesheet" href="../../assets/css/select2.min.css">
         
         <!-- Datetimepicker CSS -->
         <link rel="stylesheet" href="../../assets/css/bootstrap-datetimepicker.min.css">
		
		
		<!-- Main CSS -->
        <link rel="stylesheet" href="../../assets/css/style.css">
             
             
             
             
        <?php }else{ ?>
            <link rel="stylesheet" href="../../assets_en/css/bootstrap.min.css">
   
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="../../assets_en/plugins/fontawesome/css/fontawesome.min.css">
    	<link rel="stylesheet" href="../../assets_en/plugins/fontawesome/css/all.min.css">

		<!-- Lineawesome CSS -->
        <link rel="stylesheet" href="../../assets_en/css/line-awesome.min.css">
		<link rel="stylesheet" href="../../assets_en/css/material.css">
		
		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="../../assets_en/css/font-awesome.min.css">
		
		<!-- Datatable CSS -->
		<link rel="stylesheet" href="../../assets_en/css/dataTables.bootstrap4.min.css">
		
		<!-- Main CSS -->
        <link rel="stylesheet" href="../../assets_en/css/style.css">
        

            <?php } ?>
		
		 
    </head>
    <body>
		<!-- Main Wrapper -->
        <div class="main-wrapper">
		
			<!-- Toper -->
            <?php include("../toper.php"); ?>
			<!-- /Toper -->
			
			<!-- header -->
            <?php include("../header.php");?>
			
			<!-- /header -->
			
			
				<!-- permission View -->
	<?php //if(($urow['user_type']=='Top_Manager' or $urow['user_type']=='System_Manager')or($hr_add_dept==1)){ ?>			
					<!-- /permission View -->
		
		
			
			<!-- Page Wrapper -->
            <div class="page-wrapper">
			
				<!-- Page Content -->
                <div class="content container-fluid">
				
					<!-- Page Header -->
					<div class="page-header">
					    
						<div class="row align-items-center">
							<div class="col">
								<h3 class="page-title"><?php echo $Attendance_and_departure_report; ?> - APP</h3>
								<ul class="breadcrumb">
									<li class="breadcrumb-item"><a href="../main/index.php?<?php echo $link_lang; ?>&company_id=<?php echo $company_id; ?>"><?php echo $Dashboard; ?></a></li>
									<li class="breadcrumb-item active"><?php echo $Attendance_and_departure_report; ?> - APP </li>
								</ul>
							</div>
							<!--div class="col-auto float-end ms-auto">
							 <?php //include("hr_add_holidays_modal.php");?>
							 
							 <?php 
							
							 if(($urow['user_type']=='Top_Manager' or $urow['user_type']=='System_Manager')or($hr_add_dept==1)){ ?>
								<a href="#" class="btn add-btn" data-bs-toggle="modal" data-bs-target="#add_department"><i class="fa fa-plus"></i><?php  echo $Add_a_public_holiday; ?></a>
							<?php }else{ ?>
							<a href="#" class="btn add-btn up_add" ><i class="fa fa-plus"></i><?php echo $add_dept; ?><?php  echo $hr_add_dept; ?></a>
							<?php }  ?>
							</div-->
							
							<div class="col-auto float-end ms-auto">
							     <?php include("connect_shift_modal.php");?>
								<!--a href="#" class="btn add-btn m-r-5" data-bs-toggle="modal" data-bs-target="#add_custom_policy"><?php echo $Add_attendance_and_leave_Excel; ?></a-->
								<!--a href="#" class="btn add-btn m-r-5" data-bs-toggle="modal" data-bs-target="#add_schedule"> Assign Shifts</a-->
							</div>	
							
							
						</div>
					</div>
					<!-- /Page Header -->
					
			
					
					
					
		<?php 
			if(($urow['user_type']=='Top_Manager' or $urow['user_type']=='System_Manager')or($hr_attendance_processing==1)){
		    // echo'Yes Permation';
			}else{
          // echo 'No Permation'; 
             //header("Refresh:0; url=../main/error_permation.php?$link_lang&company_id=$company_id"); 
			}
			?>
			
			<?php
         if(($urow['user_type']=='Top_Manager' or $urow['user_type']=='System_Manager')or($hr_attendance_processing==1)){
         }else{
       ?>
             <script>window.location="https://www.marsalogistics.com/new/hr_marsa_system/ar/main/error_permation.php?<?php echo $link_lang; ?>&company_id=<?php echo $company_id;?>"</script>;
          </script>
        <?php } ?> 
			
			
			
					
					<div class="row">
					    
		<div class="alert1" id="messages" style="font-family:'Tajawal',sans-serif;">
		    
         	   <?php if(isset($_SESSION['message'])): ?>
            <div class="alert3 alert3-success">
            <?php echo $_SESSION['message']; ?>
            <script>
    setTimeout(function() {
        let alert = document.querySelector(".alert3");
            alert.remove();
    }, 3000);
    </script>
           </div>
            <?php endif; ?>
           <?php unset($_SESSION['message']); ?></div>
			
			
			<?php
			   $modal_table_name='hr_waseet_employ_shift_tbl';
              
                $id_name='waseet_id';
                  $proccess_details_delete='حذف شفت الموظف رقم  '.$modal_id;
                   $proccess_details_en_delete='Delete Shift Employee Number'.$modal_id;
                  $proccess_details_delete_disable='الغاء تنشيط فت الموظف رقم '.$modal_id;
                $proccess_details_en_delete_disable='Disable Shift Employee Number'.$modal_id;
               
                $proccess_details_enable=' تنشيط شفت الموظف رقم '.$modal_id;
                 $proccess_details_en_enable='Enable Shift Employee Number'.$modal_id;        
			
			?>		    
			<input type="hidden" name="modal_table_name" id="modal_table_name" readonly value="<?php echo $modal_table_name; ?>"> 
            <input type="hidden" name="id_name" id="id_name" readonly value="<?php echo $id_name; ?>"> 
           <input type="hidden" name="proccess_details_delete" id="proccess_details_delete" readonly value="<?php echo $proccess_details_delete; ?>"> 
           <input type="hidden" name="proccess_details_en_delete" id="proccess_details_en_delete" readonly value="<?php echo $proccess_details_en_delete; ?>">
           
           
              <input type="hidden" name="$proccess_details_delete_disable" id="proccess_details_delete_disable" readonly value="<?php echo $proccess_details_delete_disable; ?>"> 
           <input type="hidden" name="proccess_details_en_delete_disable" id="proccess_details_en_delete_disable" readonly value="<?php echo $proccess_details_en_delete_disable; ?>">
           
           
           <input type="hidden" name="proccess_details_enable" id="proccess_details_enable" readonly value="<?php echo $proccess_details_enable; ?>"> 
           <input type="hidden" name="proccess_details_en_enable" id="proccess_details_en_enable" readonly value="<?php echo $proccess_details_en_enable; ?>">
           

           
            <?php  $info_type=$_GET['info_type'];  
         $classc2='nav-link b active';
                if($info_type=='takeed' or($info_type=='')){$classb='nav-link b active';}else{$classb='nav-link b ';}
                if($info_type=='pr'){$classc='nav-link b active';}else{$classc='nav-link b ';}
                if($info_type=='gh'){$classd='nav-link b active';}else{$classd='nav-link b ';}
                
                ?>
           		
				<div class="card">
				<div class="card-body">
				<!-- <h4 class="card-title">Solid justified</h4> -->
				<ul class="nav nav-tabs nav-tabs-solid nav-justified">

				<li class="nav-item"><a class="<?php echo $classc2; ?>"href="hr_report_attendance_absence_app.php?<?php echo $link_lang; ?>&company_id=<?php echo $company_id; ?>&info_type=<?php echo 'pr'; ?>" id="inactive_employ">  <?php echo $Attendance_and_departure_report; ?> </a></li>
				<li class="nav-item"><a class="<?php echo $classd; ?>"href="hr_attendance_absencee_vacation.php?<?php echo $link_lang; ?>&company_id=<?php echo $company_id; ?>&info_type=<?php echo 'gh'; ?>" id="inactive_employ">الغياب او عدم تسجيل حضور و انصراف<?php //echo $shifts_connect_employ; ?> </a></li>

               	

				</ul> 
						</div>
					</div> 
           
           
           
           		 <form  action="" method="post" >
           		     
           		   <?php 
           		   if(ISSET($_POST['sav_btn'])){
           		    $date_from=$_POST['date_from'];  echo $date_from.'<br>'; 
	                $date_to=$_POST['date_to'];     echo $date_to;
           		   }else{
           		    $date_from=0; 
           		    $date_to=0;
           		   }
           		   
           		        $without_type=$_POST['without_type'];   //echo $without_type;
           		       
           		         $employ_id_select=$_POST['employ_id_select'];  echo $employ_id_select; 
           		       
           		        
           		   
           		   ?>  
           		     
				<div class="row filter-row">
						<div  class="col-md-6 col-sm-6 col-lg-6 col-xl-3"  clas="col-lg-4 col-sm-6 col-12" clas="col-sm-6 col-md-3"> 
					<div class="form-group form-focus select-focus focused">
						<input type="date" value="<?php echo $date_from; ?>" name="date_from" id="date_from" class="form-control" style="font-size:14px; font-weight:bold;">
					<label class="focus-label"><?php echo $date_fromm; ?></label>
				   	</div>
				</div>
						
						<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3"  clas="col-lg-4 col-sm-6 col-12" clas="col-sm-6 col-md-3"> 
						<div class="form-group form-focus select-focus focused">
						<label class="focus-label"><?php echo $date_too; ?></label>
							<input type="date" value="<?php echo $date_to; ?>" name="date_to" id="date_to" class="form-control" style="font-size:14px; font-weight:bold;" >
							</div>
						</div>
						
						
						
	<?php 
	$ar = array();
    $add = array();
     $holiday_dates = array();
     
     
     
	
	 
	 function getBetweenDates($startDate, $endDate) {
    $rangArray = [];
 
    $startDate = strtotime($startDate);
    $endDate = strtotime($endDate);
 
    for ($currentDate = $startDate; $currentDate <= $endDate; $currentDate += (86400)) {
        $date = date('Y-m-d', $currentDate);
        $rangArray[] = $date;
    }
 
    return $rangArray;
 } 
 
  
 $dates = getBetweenDates($date_from, $date_to);

//print_r($dates);
	 
	if(ISSET($_POST['sav_btn'])){
	    
     date_default_timezone_set("Asia/Riyadh");
     $dd1=strtotime($date_from);
     $dd2=strtotime($date_to);
   $datediff = $dd2 - $dd1;
   $add_ayam=round($datediff / (60 * 60 * 24)+1);
   //echo $add_ayam ;
   


$from_date = new DateTime($date_from);
$to_date = new DateTime($date_to);
$i = 0;
for ($date = $from_date; $date <= $to_date; $date->modify('+1 day')) {
    $d = $date->format('l');
  if($d=="Friday"){
      $i++;
  }
}

 
 // صافي عدد الأيام
 
   $safy_ayam=$add_ayam-$i; 
     
	}     
     
	?>		
	
	
		<!--div class="col-md-6 col-sm-6 col-lg-6 col-xl-3" clas="col-lg-9">
								<select style="font-size:18px; font-weight:bold;" name="without_type" id="without_type" class="form-select form-select-lg mb-3" clas="form-select" >
                                 <option value="pending"><?php echo $pending; ?></option>
                                 <option value="done"><?php echo $Processing_Done; ?></option>
                                </select>	
						</div-->
									
			
			
   <!--  =====================employ_id==================================================================== -->

				<div class="col-md-6 col-sm-6 col-lg-6 col-xl-3" clas="col-lg-4 col-sm-6 col-12"> 
				<div class="form-group form-focus select-focus focused">
													
   
	 <label class="focus-label" class="col-form-label"><?php echo $the_employee; ?></label>
      <link href="search_select/fSelect3.css" rel="stylesheet">
   
    <script src="search_select/jquery.minn.js"></script>
    
      <script src="search_select/fSelect.js"></script>
      <script>
       (function($) {
      $(function() {
        window.fs_test = $('.test').fSelect(); 
      });
     })(jQuery);
     </script>

				<select style="font-size:18px;" name="employ_id_select" id="test" required="" clas="form-select test" class="test"  aria-label="Default select example">
				<option value=""><?php echo $select.$space.$the_employee; ?></option>
				
				<option value="all_employ"><?php echo $all_employees; ?></option>
				
				<?php
				if(($urow['user_type']=='Top_Manager' or $urow['user_type']=='System_Manager')or($per_view_attendance_and_departure_report==1)){
				 if($company_id=='all_company'){
                     $sql_wemp="SELECT * FROM hr_employ_tbl  where  (employ_stat='active_employ' or employ_stat='employ_action') AND company_id IN ('$ids')  AND deleted='0' ";
                      }else{
                    $sql_wemp="SELECT * FROM hr_employ_tbl  where  (employ_stat='active_employ' or employ_stat='employ_action') AND company_id='$company_id'  AND deleted='0' ";
                      }
				    }else{
				 $sql_wemp="SELECT * FROM hr_employ_tbl  where  (employ_stat='active_employ' or employ_stat='employ_action') AND employ_id='". $_SESSION['user_id']."'  AND deleted='0' ";
				    }
                        $result_wemp = $conn->query($sql_wemp);
                        if ($result_wemp->num_rows > 0) {
                          while($row_wemp = $result_wemp->fetch_assoc()) {
                              
                      
                             if($lang=='ar'){$employ_name=$row_wemp['employ_name_ar'];}else{$employ_name=$row_wemp['employ_name_en'];}     
                              
                              ?>
                            <option  value="<?php echo $row_wemp['employee_number_fingerprint']; ?>"><?php echo $employ_name; ?>/ <?php echo $row_wemp['id_num']; ?> </option>
												<?php }}  ?>	
											</select> 

				   	</div>
				</div>

		  <!-- ============ /employ_id ================================================================================ -->
		
			
									
						
						<div  class="col-md-6 col-sm-6 col-lg-6 col-xl-3">  
							<div class="d-grid">
								<input type="submit" name="sav_btn" id="sav_btn" class="btn btn-success" value="<?php echo $search; ?>"> 
							</div></form>
						</div>     
                    </div>
                    
            
             <div class="card">
		  <div class="card-body"> 
		  <div class="row"> 
		  	<div class="col-lg-4 col-sm-6 col-12"> 
		  	<label><?php echo $count_the_days; ?>/ </label>
		  <?php echo $add_ayam; ?>
		  	 </div> 

		  	 	<div class="col-lg-4 col-sm-6 col-12">
		  	 	<label><?php echo $The_number_of_Fridays; ?>/ </label>	
		  <?php echo $i; ?>
		  	 </div> 
		  	 	<div class="col-lg-4 col-sm-6 col-12"> 
		  	 	<label><?php echo $net_number_of_days; ?>/ </label>
		  	<?php echo $safy_ayam; ?>
		  	 </div>	 
		  	 
		  
		  </div>
		  </div>
		 </div>  
		 
		 
		 
		 
		   	<div class="card">
		  <div class="card-body">
		      
		      
		      
              <div class="row">
           
        <div class="col-md-6 mb-3">
			<div class="form-group">
		<?php  if($without_type=='pending'){ ?>	<label style="font-size:18px; font-weight:bold;"> <?php echo $pending; ?> </label>
		
		<?php }elseif($without_type=='done'){ ?>
			<label style="font-size:18px; font-weight:bold;"> <?php echo $Processing_Done; ?> </label>
				<?php } ?>
			</div>
		   </div> 
		   
		
		 <?php  if($without_type=='pending'){ ?>			
		<div class="col-md-6 mb-3">
           <!-- ==========dropdown action========================================== -->
           <?php if($lang=='ar'){ ?><div class="btn-group" style="float:left;"><?php }else{ ?>
           <div class="btn-group" style="float:right;"><?php } ?>
			<button type="button" class="btn btn-success dropdown-toggle" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><?php echo $Options; ?></button>
			<div class="dropdown-menu" style="">
			<a class="dropdown-item btn_takeed" id="btn_exception" href="javascript:void(0);">إستثناء</a>
			<a class="dropdown-item" id="btn_mosala" href="javascript:void(0);">إرسال مسائله</a>
			<div class="dropdown-divider"></div>
			<a class="dropdown-item" id="absence" href="javascript:void(0);"><?php echo $absence; ?></a>
			</div>
			</div>
           <!-- ==========/dropdown action========================================== -->
           	</div>
			</div>
			 <?php } ?>
				</div>  
		
		
		
				
	   <!-- =============================rrrr4======================================================================================= -->    		
			
				
		     

      		 
      		 <br>
      		 <!--div class="row">
      		 	<div class="col-lg-4 col-sm-6 col-12">  
							<div class="d-grid">
								<input type="submit" name="sav_btn" id="sav_btn" class="btn btn-success" value="<?php echo $search; ?>"> 
							</div></form>
						</div>     
                    </div-->
      		 
      		 	<hr>
  
   <!-- =============================rrrr4======================================================================================= -->    		
				
				
				
				
					</div>
					
						</div>

						<div class="col-md-12">
							<div>
							    <div class="table-responsive">
							    <table class="table  datanew table-striped mb-0">
								<!--table class="table table-striped custom-table mb-0 datatable" -->
                                <thead>
										<tr>
											<th>
									         No
											</th>
											<th> <?php echo $Employee_data; ?> </th>
											<th><?php echo $Shift_Details; ?></th>
											<th><?php echo $the_date; ?></th>
										    
										     <th><?php echo $Start_Time; ?>    </th>
										     <th><?php echo $End_Time; ?>   </th>
										     
										      <th><?php echo $t_Total; ?></th>
										     
									     	<!--th><?php echo $type; ?></th>
									     	<th><?php echo $Employee_Justification; ?></th> 
									     	<th style="font-size:12px;"><?php echo $attachments; ?></th>
											<th><?php echo $status; ?></th-->
											<!--th>Action</th-->
										</tr>
									</thead>
									<tbody>
									  
					<?php 
				      $nommm=0;
				    date_default_timezone_set("Asia/Riyadh");
				    $days=+10;
				    $takherr = 0;
				    $takher=0;
				    $inseraf_befor=0;
				    
                  
                 if($employ_id_select=='all_employ'){
                   $sql_in="SELECT * FROM hr_add_hodor_ensraf_tbl where hodor_ensraf_stat!='approval_req_per' AND (hodor_time!=ensraf_time AND exception_egaza='0')  AND hodor_ensraf_date BETWEEN '$date_from' AND'$date_to'  ";
                 }else{
                 $sql_in="SELECT * FROM hr_add_hodor_ensraf_tbl where employee_number_fingerprint='$employ_id_select' AND hodor_ensraf_stat!='approval_req_per' AND (hodor_time!=ensraf_time AND exception_egaza='0')  AND hodor_ensraf_date BETWEEN '$date_from' AND'$date_to'  ";
                 }
                    $result_in = $conn->query($sql_in);
                    if ($result_in->num_rows > 0) {
                    while($row_in = $result_in->fetch_assoc()) {  
                 
                          
                          if($company_id=='all_company'){
                            $sql_c4_hd="SELECT employ_name_ar,employ_name_en,employ_id,dept_id,job_id,employee_number_fingerprint FROM hr_employ_tbl where employee_number_fingerprint='".$row_in['employee_number_fingerprint']."' AND(employ_stat='active_employ' or employ_stat='employ_action') ";
                          }else{
                           $sql_c4_hd="SELECT employ_name_ar,employ_name_en,employ_id,dept_id,job_id,employee_number_fingerprint FROM hr_employ_tbl where employee_number_fingerprint='".$row_in['employee_number_fingerprint']."' AND(employ_stat='active_employ' or employ_stat='employ_action') ";
                          }
                            $result_c4_hd = $conn->query($sql_c4_hd);
                           if ($result_c4_hd->num_rows > 0) {
                           while($row_c4_hd = $result_c4_hd->fetch_assoc()) {
                               
                              //  $takherr = 0;
                                
                            if($lang=='ar'){$employ_name_hd=$row_c4_hd['employ_name_ar'];}else{$employ_name_hd=$row_c4_hd['employ_name_en'];} 	
                            
                            $employ_id_hd=$row_c4_hd['employ_id'];
                           
                           
                           	   $sql_ws="SELECT * FROM hr_waseet_employ_shift_tbl where employ_id='$employ_id_hd' AND deleted='0' and waseet_stat='0'  ";
                          $result_ws = $conn->query($sql_ws);
                           if ($result_ws->num_rows > 0) {
                            while($row_ws = $result_ws->fetch_assoc()) { 
                             $modal_id=$row_ws['waseet_id'];
                             
                              $sql_sh="SELECT * FROM hr_shift_tbl where shift_id='".$row_ws['shift_id']."' AND hodoor_ghyab='0'  AND stop='0' AND deleted='0'   ";
                                 $result_sh = $conn->query($sql_sh);
                                 if ($result_sh->num_rows > 0) {
                                while($row_sh = $result_sh->fetch_assoc()) {
                               
                          $nommm++;
                          
						   ?>  
						   
						   
						   	<tr>

						    <td><h3><?php echo $nommm; ?></h3></td>
						
							<td>
							<h2 class="table-avatar">
							
							<a class="avatar" clas="avatar avatar-xs" href="profile.html">
							<?php
							
						
                           
							$attach_link_hd=0;
                          $sql_ico_hd="SELECT * FROM hr_employ_attachments_tbl where employ_id='$employ_id_hd' AND att_name='employ_photo' AND  stop='0' AND deleted='0' ";
                          $result_icohd = $conn->query($sql_ico_hd);
                           if ($result_icohd->num_rows > 0) {
                            while($row_icohd = $result_icohd->fetch_assoc()) {
                              $attach_link_hd=$row_icohd['attach_link'];
                            }}
                            
                          
                             ?>  
                               <?php if($attach_link_hd==''){ ?>  
								<img alt="" src="../../assets/img/profiles/avatar-09.jpg">
								<?php }elseif($attach_link_hd!=''){ ?>
								<img alt="" src="../../../Shipping_Clearance_System/jquery/pages/system_maintenance/user_img/<?php echo $attach_link_hd; ?>">
							<?php }else{ ?>
							<img alt="" src="../../assets/img/profiles/avatar-09.jpg">
							<?php } ?>
								
								</a>
							
						  <?php echo $employ_name_hd; ?>
							  </h2>
							</td>
							
							
							 <td>
							
							     
							 <?php 
						

                              if($lang=='ar'){$shift_name=$row_sh['shift_name_ar'];}else{$shift_name=$row_sh['shift_name_en'];}
                              $min_start_time=$row_sh['min_start_time'];
                               $min_end_time=$row_sh['min_end_time'];
                                $end_time=$row_sh['end_time'];
                                $max_end_time=$row_sh['max_end_time'];
                                  
                                  
                                  $max_start_time1=$row_sh['max_start_time'];
                                 $allowed_minutes=$row_sh['allowed_minutes'];
                                $ddate = strtotime("+$allowed_minutes minutes", strtotime($max_start_time1));
                                  $max_start_time = date('h:i', $ddate);
                                  $number_hours = $row_sh['number_hours_calculated'];
                                 //echo $max_start_time;
                                 //$num_hour_init = ($number_hours * 60);
                                 
                             
							 
							 ?>
							 <small style="font-size:12px;">اقصى وقت للحضور / <?php echo $max_start_time;  ?></small><br>
							 
						 <small style="font-size:12px;"><?php echo $shift_name;  ?></small><br>
						<small style="font-size:12px;"><?php echo $min_start_time; ?>-<?php echo $start_time; ?>-<?php echo $max_start_time; ?></small><br>
						<small style="font-size:12px;"><?php echo $min_end_time; ?>-<?php echo $end_time; ?>-<?php echo $max_end_time; ?></small>

							 </td>  
							 
							 <td>  <?php echo $row_in["hodor_ensraf_date"]; ?> </td>
							 

							 	<td>
							 	   <b><?php echo $row_in["hodor_time"]; ?></b> <br> 
							 	    
										        	  	 <?php 
										        
                                                    
                                                     $add_hours_dowam = (strtotime($row_in["ensraf_time"]) - strtotime($row_in["hodor_time"])) / 60/60;
                                                      $add_hours_dowam_m = (strtotime($row_in["ensraf_time"]) - strtotime($row_in["hodor_time"])) / 60 ;
                                                    
                                                      ?>  
                                                      
                                                      <b style="color:red;"><?php //echo $row_in["hodor_time"]; ?></b>


                                                 <?php 
                                                    // hhhhhhhhhhhhhhhhhhh  
                                                 if($row_in["hodor_time"]>$max_start_time){ 
                                                 
                                                 ?>
												          
												      
												         <?php 
												        
												          $takher = (strtotime($row_in["hodor_time"]) - strtotime($max_start_time)) / 60;
												         
												   
												          $takherr+=$takher;
												          
												          $takherr_summ+=$takher;
												           
												          ?>
												          <?php }else{$takher=0;} ?> 
												          
												          
                                                  <?php  if(($row_in["ensraf_time"]<$min_end_time && $row_in["hodor_time"]<=$max_start_time)){
                                          
                                                  
                                                  ?>
												         <?php  
												         
												           //eeeeeeeeeeeeeeeeeeeeeeeee
												           
                                                            $inseraf_befor = (strtotime($min_end_time) - strtotime($row_in["ensraf_time"])) / 60;
                                                            
                                                       //   echo $row_hd["hodor_ensraf_date"].'/'.$inseraf_befor.'<br>';  
                                                            
                                                            
                                                            $inseraf_beforr+=$inseraf_befor;
                                                            
                                                           
                                                           
												          ?>
												          
												         <?php 
												         
												         }elseif(($row_in["hodor_time"]>$max_start_time && $row_in["ensraf_time"]<$min_end_time)){
												         
												         $inseraf_befor = (strtotime($max_end_time) - strtotime($row_in["ensraf_time"])) / 60;
												         ?> 
												         
												             <?php 
												         
												         }elseif(($row_in["hodor_time"]>$max_start_time && $row_in["ensraf_time"]<$max_end_time)){
												         
												         $inseraf_befor = (strtotime($max_end_time) - strtotime($row_in["ensraf_time"])) / 60;
												         ?> 
												        
												          
												          <?php }else{$inseraf_befor=0;} 
												          
												           $inseraf_beforr_summ+=$inseraf_befor;
												          ?> 
                                                  
													 

												  
												  <small clas="badge bg-inverse-danger" style="color:black;font-size:10px;"> دقائق التاخير</small> 
												<h4 class="text-danger"> <?php echo round($takher,2); ?> </h4>
												
												  <!--small class="badge bg-inverse-danger" dir="ltr" style="color:white;font-size:16px;">
												    <?php echo $takher."</br>"; ?>
												    </small-->
												          
													</td>
													

										<td>
										 <b><?php echo $row_in["ensraf_time"]; ?></b> <br> 

											<small clas="badge bg-inverse-danger" style="color:black;font-size:10px;"> دقائق الإنصراف قبل إنتهاء الدوام</small> 
											
										 <h4 class="text-danger"> <?php echo round($inseraf_befor,2); ?> </h4>
											
											<!--small class="badge bg-inverse-danger" dir="ltr" style="color:white;font-size:16px;">
												         <?php  echo round($inseraf_befor,2); ?>
												          </small-->
												          
												          
												          
													</td>				
													
													
													
													<td>
							  <?php $sum_all_khasm=$takher+$inseraf_befor; ?>
						
					<h4 class="text-danger"> <?php echo round($sum_all_khasm,2); ?> </h4>
						 
						   </td>
						   
												</tr>
									
									
									<?php }}    }} }}  }} ?>
									    
									</tbody>
								</table>
							</div>
						</div>
					</div>
                </div>
                	</div>
				<!-- /Page Content -->

				
            </div>
			<!-- /Page Wrapper -->

        </div>
		<!-- /Main Wrapper -->
		
	 
		<!-- sitting -->
		<?php include("../setting.php"); ?>
	    <!-- /sitting -->

	<!-- Footer -->
		<?php include("../footer.php"); ?>
		<!-- /Footer -->

	 <!-- jQuery -->
        <script src="../../assets/js/jquery-3.6.0.min.js"></script>

        <!-- Feather Icon JS -->
        <script src="../../assets/js/feather.min.js"></script>

        <!-- Slimscroll JS -->
        <script src="../../assets/js/jquery.slimscroll.min.js"></script>
        
          <!-- Select2 JS -->
    <script src="../../assets/js/select2.min.js"></script>
    
    <!-- Datetimepicker JS -->
    <script src="../../assets/js/moment.min.js"></script>
    <script src="../../assets/js/bootstrap-datetimepicker.min.js"></script>

        <!-- Datatable JS -->
        <script src="../../assets/js/jquery.dataTables.min.js"></script>
        <script src="../../assets/js/dataTables.bootstrap4.min.js"></script>
        
        <!-- Bootstrap Core JS -->
        <script src="../../assets/js/bootstrap.bundle.min.js"></script>

        <!-- Custom JS -->
        <script src="../../assets/js/script.js"></script>
      
<!-- Multiselect JS -->
		<script src="../../assets/js/multiselect.min.js"></script>

		 <!-- Theme Settings JS -->
		<script src="../../assets/js/layout.js"></script>
		<script src="../../assets/js/theme-settings.js"></script>
		<script src="../../assets/js/greedynav.js"></script>
		
	 <script src="../../assets/js/app_tow.js"></script>

		<!-- Custom JS -->
		<!--script src="../../assets/js/app.js"></script-->
		
		<script src="../script_lang.js"></script> 
		
		  <!-- Alertify JS -->
		<script src="../../assets/plugins/alertify/alertify.min.js"></script>
		<!--script src="../../assets/plugins/alertify/custom-alertify.min.js"></script-->
        <!-- /Alertify JS -->
		
		
		
	    <script>
  $(document).ready(function(e) {
   $(".up_add").click(function(){
   alertify.error(message_per);
      });
      });
       </script>	
    
    
    <script>
  $(document).ready(function(e) {
   $(".up_addh").click(function(){
   alertify.error(message_per);
      });
      });
       </script>
       
  
    <script>
$('.all_ch_att').click(function(event) { 
   var id = [];
            if(this.checked) { 
                $('.ch_att').each(function(i) { 
                  if(i<30){
                    this.checked = true;
                    id[i] = $(this).val(); 
                  }    
                });
            }else{
                $('.ch_att').each(function() {
                    this.checked = false; 
                });        
            }
        });
        </script>
        
        
        
         <script>
//تسجيل غياب
$("#absence").click(function(){
      if(confirm("هل انت متاكد انك تريد تسجيل غياب ؟")){
        var id = [];
         var employ_id = [];
          var hodor_ensraf_date = [];
          var mosala_type = [];
            var add_user_id=$('#add_user_id').val();
            var employee_number_fingerprint = [];
       //alert(add_user_id);
          //var att_abs_date = $("#att_abs_date").val();

         // var att_or_abs_or_late = $('#att_or_abs_or_late').find(":selected").val();
        $(":checkbox:checked").each(function(i){
          id[i] = $(this).val();
             
               
          employ_id1=$('#employ_id'+id[i]).val();
          employ_id.push(employ_id1);
         
          hodor_ensraf_date1=$('#hodor_ensraf_date'+id[i]).val();
          hodor_ensraf_date.push(hodor_ensraf_date1);
          
          mosala_type1=$('#mosala_type'+id[i]).val();
          mosala_type.push(mosala_type1);

          employee_number_fingerprint1=$('#employee_number_fingerprint'+id[i]).val();
          employee_number_fingerprint.push(employee_number_fingerprint1);

        });
//alert(employ_id);
//alert(hodor_ensraf_date);
//alert(mosala_type);
        if(id.length == 0){
          alert("اختر على الاقل احد الموظفين لإرسال المسائله !");

        }else{

      $.post('hr_ghyab_Codeee.php', {'id':id,'employ_id':employ_id,'hodor_ensraf_date':hodor_ensraf_date,'mosala_type':mosala_type,'employee_number_fingerprint':employee_number_fingerprint,'add_user_id':add_user_id}, function(r) {
              // alert("تمت عملية التسجيل بنجاح");
              alertify.success(message_success);
               if(r==1){
                for( var i=0; i<id.length; i++){
         $(".D"+id[i]+'').css("background-color", "#ccc");
         $(".D"+id[i]+'').fadeOut("slow");

         }
               }
               window.location.reload();
              }); 
              
        }

      }else{
        return false;

      }

    });

     </script>
     
     
     
             
         <script>
//تسجيل إستثناء
$("#btn_exception").click(function(){
      if(confirm("هل انت متاكد انك تريد إستثناء الموظف من الغياب ؟")){
        var id = [];
         var employ_id = [];
          var hodor_ensraf_date = [];
          var mosala_type = [];
            var add_user_id=$('#add_user_id').val();
            var employee_number_fingerprint = [];
       //alert(add_user_id);
          //var att_abs_date = $("#att_abs_date").val();

         // var att_or_abs_or_late = $('#att_or_abs_or_late').find(":selected").val();
        $(":checkbox:checked").each(function(i){
          id[i] = $(this).val();
             
               
          employ_id1=$('#employ_id'+id[i]).val();
          employ_id.push(employ_id1);
         
          hodor_ensraf_date1=$('#hodor_ensraf_date'+id[i]).val();
          hodor_ensraf_date.push(hodor_ensraf_date1);
          
          mosala_type1=$('#mosala_type'+id[i]).val();
          mosala_type.push(mosala_type1);

          employee_number_fingerprint1=$('#employee_number_fingerprint'+id[i]).val();
          employee_number_fingerprint.push(employee_number_fingerprint1);

        });
//alert(employ_id);
//alert(hodor_ensraf_date);
//alert(mosala_type);
        if(id.length == 0){
          alert("اختر على الاقل احد الموظفين  !");

        }else{

      $.post('hr_exception_ghyab_Codeee.php', {'id':id,'employ_id':employ_id,'hodor_ensraf_date':hodor_ensraf_date,'mosala_type':mosala_type,'employee_number_fingerprint':employee_number_fingerprint,'add_user_id':add_user_id}, function(r) {
              // alert("تمت عملية التسجيل بنجاح");
              alertify.success(message_success);
               if(r==1){
                for( var i=0; i<id.length; i++){
         $(".D"+id[i]+'').css("background-color", "#ccc");
         $(".D"+id[i]+'').fadeOut("slow");

         }
               }
               window.location.reload();
              }); 
              
        }

      }else{
        return false;

      }

    });

     </script>
     
     
     
                  
         <script>
//تسجيل المسائله
$("#btn_mosala").click(function(){
      if(confirm("هل انت متاكد انك تريد إرسال المسائله ؟")){
        var id = [];
         var employ_id = [];
          var hodor_ensraf_date = [];
          var mosala_type = [];
            var add_user_id=$('#add_user_id').val();
            var employee_number_fingerprint = [];
       //alert(add_user_id);
          //var att_abs_date = $("#att_abs_date").val();

         // var att_or_abs_or_late = $('#att_or_abs_or_late').find(":selected").val();
        $(":checkbox:checked").each(function(i){
          id[i] = $(this).val();
             
               
          employ_id1=$('#employ_id'+id[i]).val();
          employ_id.push(employ_id1);
         
          hodor_ensraf_date1=$('#hodor_ensraf_date'+id[i]).val();
          hodor_ensraf_date.push(hodor_ensraf_date1);
          
          mosala_type1=$('#mosala_type'+id[i]).val();
          mosala_type.push(mosala_type1);

          employee_number_fingerprint1=$('#employee_number_fingerprint'+id[i]).val();
          employee_number_fingerprint.push(employee_number_fingerprint1);

        });
//alert(employ_id);
//alert(hodor_ensraf_date);
//alert(mosala_type);
        if(id.length == 0){
          alert("اختر على الاقل احد الموظفين  !");

        }else{

    $.post('hr_mosala_ghyab_Codeee.php', {'id':id,'employ_id':employ_id,'hodor_ensraf_date':hodor_ensraf_date,'mosala_type':mosala_type,'employee_number_fingerprint':employee_number_fingerprint,'add_user_id':add_user_id}, function(r) {
              // alert("تمت عملية التسجيل بنجاح");
              alertify.success(message_success);
              //alert(r);
               if(r==1){
                for( var i=0; i<id.length; i++){
         $(".D"+id[i]+'').css("background-color", "#ccc");
         $(".D"+id[i]+'').fadeOut("slow");

         }
               }
               window.location.reload();
              }); 
              
        }

      }else{
        return false;

      }

    });

     </script>
     
     
        
        
 <!--script>
//إرسال مسائله لعدد من الموظفين
$("#btn_mosala").click(function(){
      if(confirm("هل انت متاكد انك تريد إرسال المسائله ؟")){
        var id = [];
         var employ_id = [];
          var hodor_ensraf_date = [];
          var mosala_type = [];
            var add_user_id=$('#add_user_id').val();
      // alert(add_user_id);
          //var att_abs_date = $("#att_abs_date").val();

         // var att_or_abs_or_late = $('#att_or_abs_or_late').find(":selected").val();
        $(":checkbox:checked").each(function(i){
          id[i] = $(this).val();
             
               
          employ_id1=$('#employ_id'+id[i]).val();
          employ_id.push(employ_id1);
         
          hodor_ensraf_date1=$('#hodor_ensraf_date'+id[i]).val();
          hodor_ensraf_date.push(hodor_ensraf_date1);
          
          mosala_type1=$('#mosala_type'+id[i]).val();
          mosala_type.push(mosala_type1);

        });

        if(id.length == 0){
          alert("اختر على الاقل احد الموظفين  !");

        }else{

      $.post('hr_mosala_ghyab_Codeee.php', {'id':id,'employ_id':employ_id,'hodor_ensraf_date':hodor_ensraf_date,'mosala_type':mosala_type,'add_user_id':add_user_id}, function(r) {
              // alert("تمت عملية التسجيل بنجاح");
              alertify.error(message_success);
               if(r==1){
                for( var i=0; i<id.length; i++){
         $(".D"+id[i]+'').css("background-color", "#ccc");
         $(".D"+id[i]+'').fadeOut("slow");

         }
               }
               window.location.reload();
              }); 
              
        }

      }else{
        return false;

      }

    });

     </script-->
     
     
     
     
     
     <!--script>
//تعديل الحضور والإنصراف

$("#btn_takeed").click(function(){
      if(confirm("هل انت متاكد انك تريد إرسال التعديل ؟")){
        var id = [];
         var employ_id = [];
          var hodor_ensraf_date = [];
          var mosala_type = [];
             var hodor_time = [];
              var ensraf_time = [];
      var j = 0;
      
          //var att_abs_date = $("#att_abs_date").val();

         // var att_or_abs_or_late = $('#att_or_abs_or_late').find(":selected").val();
        $(":checkbox:checked").each(function(i){
          id[i] = $(this).val();
            // alert(id);
              
          employ_id1=$('#employ_id'+id[i]).val();
          employ_id.push(employ_id1);
         
          hodor_ensraf_date1=$('#hodor_ensraf_date'+id[i]).val();
          hodor_ensraf_date.push(hodor_ensraf_date1);
          
          mosala_type1=$('#mosala_type'+id[i]).val();
          mosala_type.push(mosala_type1);
         
           
          hodor_time1=$('#hodor_time'+id[i]).val();
          hodor_time.push(hodor_time1);
          
           
            ensraf_time1=$('#ensraf_time'+id[i]).val();
          ensraf_time.push(ensraf_time1);
          
           //alert(hodor_time1);
           //alert(ensraf_time1);
           if((hodor_time1==ensraf_time1) || (hodor_time1>ensraf_time1)){
               j++;
           }else{}

        });
        if(id.length == 0){
          alert("اختر  الاقل احد الموظفين لتأكيد التعديل !");

        }else{
if(j>0){
   alert("لا يمكن ان يكون وقت الحضور اكبر او يساوي وقت الانصراف"); 
}else{
    
      $.post('hr_takeed_edit_att_Code.php', {'id':id,'employ_id':employ_id,'hodor_ensraf_date':hodor_ensraf_date,'mosala_type':mosala_type,'hodor_time':hodor_time,'ensraf_time':ensraf_time}, function(r) {
          //     alert("تمت عملية التسجيل بنجاح");
              alertify.success(message_success);
               if(r==1){
                for( var i=0; i<id.length; i++){
         $(".D"+id[i]+'').css("background-color", "#ccc");
         $(".D"+id[i]+'').fadeOut("slow");

         }
               }
               window.location.reload();
              }); 
              
        }}

      }else{
        return false;

      }

    });

     </script-->
        
        
        
        
      
       
       	<!--script>
        $('.b').click(function() {
		   $('.nav-link').removeClass('active');
		   $(this).addClass('active');
		});
      </script-->
       
       
       
       	<script>
       	 var modal_table_name=$('#modal_table_name').val();
       	 var id_name=$('#id_name').val();
       	 var proccess_details_delete_disable=$('#proccess_details_delete_disable').val();
       	 var proccess_details_en_delete_disable=$('#proccess_details_en_delete_disable').val();
       	 
       	 var proccess_details_enable=$('#proccess_details_enable').val();
       	 var proccess_details_en_enable=$('#proccess_details_en_enable').val();
       	  
    $(".checktoggle").click(function(e){
        var id = $(this).attr('data-id');
        //alert(id);
        
           var id_check=$('#id_check').val(); 
        if(id_check==''){
      alertify.error(message_per);
        }else{
        
        if($('#user'+id).is(':checked') ){
      if(confirm(message_disabled)){
         //alert("Checkbox Is checked");
    $('#user'+id).prop('checked', true);
    
   //======================
      var add_user_id=$('#add_user_id').val();
      var company_id=$('#company_id').val();
      var g = $(this).attr('data-id');
      var date_did = $("#date_did"+g).val();
   //alert(g);
          $.post('../modals/hr_disabeld_code.php', {'g':g,'add_user_id':add_user_id,'company_id':company_id,'modal_table_name':modal_table_name,'id_name':id_name,'proccess_details_delete_disable':proccess_details_delete_disable,'proccess_details_en_delete_disable':proccess_details_en_delete_disable}, function(r) {
              //alert(r);
        if (r == 1) {
     //  alert("تمت العمليه بنجاح");
      alertify.error(message_success);
         // window.location.reload();
         $(".D"+i).css("background-color", "#ccc");
         $(".D"+i).fadeOut("slow");
       

               }
             });
             
      }else{
        return false;
      }
   
   //======================
}
else{
   // alert("Checkbox Is not checked");
    $('#user'+id).prop('checked', false);
     if(confirm(message_enabled)){
    
      //======================
      var add_user_id=$('#add_user_id').val();  
      var company_id=$('#company_id').val();
      var g = $(this).attr('data-id');
      var date_did = $("#date_did"+g).val();
  // alert(g);
          $.post('../modals/hr_enable_code.php', {'g':g,'add_user_id':add_user_id,'company_id':company_id,'modal_table_name':modal_table_name,'id_name':id_name,'proccess_details_enable':proccess_details_enable,'proccess_details_en_enable':proccess_details_en_enable}, function(r) {
             // alert(r);
        if (r == 1) {
     //  alert("تمت العمليه بنجاح");
   alertify.success(message_success);
         $(".D"+i).css("background-color", "#ccc");
         $(".D"+i).fadeOut("slow");
          window.location.reload();

               }
             });
             
      }else{
        return false;
      }
   
 }  //====================== 
    
}
    });
</script>
       
       
		
		
   <style>
.alert {
  text-align: center;
  padding: 10px;
  background: rgb(168, 240, 177);
  color: green;
  margin-bottom: 10px;
  display: none;
}
.alert3 {
  text-align: center;
  padding: 10px;
  background: rgb(168, 240, 177);
  color: green;
  margin-bottom: 10px;
  
}
.alert4 {
  text-align: center;
  padding: 10px;
  margin-bottom: 10px;
  border-color: #ebad30;
  font-size:18px;
}

</style>	
		
    </body>
</html>




